Subject: Re: [PATCH net-next v2] net: netconsole: selftests: Create a new netconsole selftest

From: Breno Leitao <[email-masked]>
Date: Wed, 14 Aug 2024 01:31:26 -0700

Hello Jakub,

On Tue, Aug 13, 2024 at 03:37:16PM -0700, Jakub Kicinski wrote:
> On Tue, 13 Aug 2024 11:38:16 -0700 Breno Leitao wrote:
> > Adds a selftest that creates two virtual interfaces, assigns one to a
> > new namespace, and assigns IP addresses to both.
> > 
> > It listens on the destination interface using socat and configures a
> > dynamic target on netconsole, pointing to the destination IP address.
> > 
> > The test then checks if the message was received properly on the
> > destination interface.
> 
> We're getting a:
> 
> SKIP: directory /sys/kernel/config/netconsole does not exist. Check if NETCONSOLE_DYNAMIC is enabled
> 
> https://netdev-3.bots.linux.dev/vmksft-net-drv-dbg/results/726381/4-netcons-basic-sh/stdout
> 
> Gotta extend tools/testing/selftests/drivers/net/config

Thanks, I've added the following changes in
tools/testing/selftests/drivers/net/config:

	CONFIG_NETCONSOLE=m
	CONFIG_NETCONSOLE_DYNAMIC=y

Then I was able to get the test executing running the following
commands:

	# vng --build  --config tools/testing/selftests/net/config
	# vng -v --run . --user root --cpus 4 -- \
		make -C tools/testing/selftests TARGETS=drivers/net  \
		TEST_PROGS="netcons_basic.sh" TEST_GEN_PROGS="" run_tests
	.....
	# timeout set to 45
	# selftests: drivers/net: netcons_basic.sh
	[   11.172987] netdevsim netdevsim407 eni407np1: renamed from eth1
	[   12.441965] printk: legacy console [netcon_ext0] enabled
	[   12.443049] netpoll: netconsole: local port 6665
	[   12.444104] netpoll: netconsole: local IPv4 address 192.168.1.1
	[   12.445281] netpoll: netconsole: interface 'eni407np1'
	[   12.446299] netpoll: netconsole: remote port 6666
	[   12.447246] netpoll: netconsole: remote IPv4 address 192.168.1.2
	[   12.448419] netpoll: netconsole: remote ethernet address aa:c8:83:a5:05:b3
	[   12.450646] netconsole: network logging started
	[   13.547405] netconsole selftest: netcons_GjLI0
	ok 1 selftests: drivers/net: netcons_basic.sh

I will wait a bit more, and then integrate this change into v2.

Thanks for the review
--breno